| Disk ARchive 2.7.12 Full featured and portable backup and archiving tool

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libdar::fsa_time Class Reference
Private

fsa based on time More...

`#include <filesystem_specific_attribute.hpp>`

Inherits libdar::filesystem_specific_attribute.

## Public Member Functions
| fsa_time (fsa_family f, fsa_nature n, datetime xval)
| fsa_time (generic_file &f, archive_version ver, fsa_family fam, fsa_nature nat)
| fsa_time (const fsa_time &ref)=default
fsa_time & | operator= (const fsa_time &ref)=default
const datetime & | get_value () const
virtual std::string | show_val () const
| inherited from filesystem_specific_attribute More...
virtual void | write (generic_file &f) const
| write down to libdar archive More...
virtual infinint | storage_size () const
| give the storage size for the FSA More...
virtual filesystem_specific_attribute * | clone () const
| provides a way to copy objects without having to know the more specific class of the object More...
Public Member Functions inherited from libdar::filesystem_specific_attribute
| filesystem_specific_attribute (fsa_family f)
| constructor used to before reading the FSA from filesystem More...
| filesystem_specific_attribute (generic_file &f, fsa_family xfam, fsa_nature xnat)
| constructor used to read a FSA from a libdar archive More...
| filesystem_specific_attribute (const filesystem_specific_attribute &ref)=default
| filesystem_specific_attribute (filesystem_specific_attribute &&ref) noexcept=default
filesystem_specific_attribute & | operator= (const filesystem_specific_attribute &ref)=default
filesystem_specific_attribute & | operator= (filesystem_specific_attribute &&ref) noexcept=default
virtual | ~filesystem_specific_attribute () noexcept(false)
| virtual destructor for inherited classes More...
bool | is_same_type_as (const filesystem_specific_attribute &ref) const
| provide a mean to compare objects types
virtual bool | operator== (const filesystem_specific_attribute &ref) const
| provides a mean to compare objects values More...
bool | operator!= (const filesystem_specific_attribute &ref) const
bool | operator< (const filesystem_specific_attribute &ref) const
| used to provided a sorted list of FSA
bool | operator>= (const filesystem_specific_attribute &ref) const
bool | operator> (const filesystem_specific_attribute &ref) const
bool | operator<= (const filesystem_specific_attribute &ref) const
fsa_family | get_family () const
| obtain the family of the FSA More...
fsa_nature | get_nature () const
| obtain the nature of the FSA More...
virtual std::string | show_val () const =0
| provides a human readable value of the FSA More...
virtual void | write (generic_file &f) const =0
| write down to libdar archive More...
virtual infinint | storage_size () const =0
| give the storage size for the FSA More...
virtual filesystem_specific_attribute * | clone () const =0
| provides a way to copy objects without having to know the more specific class of the object More...

## Protected Member Functions
virtual bool | equal_value_to (const filesystem_specific_attribute &ref) const
| should return true if the value of the argument is equal to the one of 'this' false in any other case (even for object of another inherited class) More...
Protected Member Functions inherited from libdar::filesystem_specific_attribute
void | set_family (const fsa_family &val)
void | set_nature (const fsa_nature &val)
virtual bool | equal_value_to (const filesystem_specific_attribute &ref) const =0
| should return true if the value of the argument is equal to the one of 'this' false in any other case (even for object of another inherited class) More...

## Private Attributes
datetime | val

## Detailed Description

fsa based on time

Definition at line 317 of file filesystem_specific_attribute.hpp.

## Constructor & Destructor Documentation

## ◆ fsa_time()

libdar::fsa_time::fsa_time | ( | fsa_family | f,
|  | fsa_nature | n,
|  | datetime | xval
| ) |  |
| inline

Definition at line 320 of file filesystem_specific_attribute.hpp.

## Member Function Documentation

## ◆ clone()

virtual filesystem_specific_attribute * libdar::fsa_time::clone | ( |  | ) | const
| inline virtual

provides a way to copy objects without having to know the more specific class of the object

Implements libdar::filesystem_specific_attribute.

Definition at line 332 of file filesystem_specific_attribute.hpp.

## ◆ equal_value_to()

virtual bool libdar::fsa_time::equal_value_to | ( | const filesystem_specific_attribute & | ref | ) | const
| protected virtual

should return true if the value of the argument is equal to the one of 'this' false in any other case (even for object of another inherited class)

Implements libdar::filesystem_specific_attribute.

## ◆ get_value()

const datetime & libdar::fsa_time::get_value | ( |  | ) | const
| inline

Definition at line 326 of file filesystem_specific_attribute.hpp.

## ◆ show_val()

virtual std::string libdar::fsa_time::show_val | ( |  | ) | const
| virtual

inherited from filesystem_specific_attribute

Implements libdar::filesystem_specific_attribute.

## ◆ storage_size()

virtual infinint libdar::fsa_time::storage_size | ( |  | ) | const
| inline virtual

give the storage size for the FSA

Implements libdar::filesystem_specific_attribute.

Definition at line 331 of file filesystem_specific_attribute.hpp.

References libdar::datetime::get_storage_size().

## ◆ write()

virtual void libdar::fsa_time::write | ( | generic_file & | f | ) | const
| inline virtual

write down to libdar archive

Implements libdar::filesystem_specific_attribute.

Definition at line 330 of file filesystem_specific_attribute.hpp.

References libdar::datetime::dump().

## Member Data Documentation

## ◆ val

datetime libdar::fsa_time::val
| private

Definition at line 338 of file filesystem_specific_attribute.hpp.

The documentation for this class was generated from the following file:

- filesystem_specific_attribute.hpp